Public Member Functions | Public Attributes | List of all members
GreatWksGraphInternal::FrameText Struct Referencefinal

Internal: the text zone of a GreatWksGraph. More...

Inheritance diagram for GreatWksGraphInternal::FrameText:

## Public Member Functions
| FrameText (Frame const &frame)
| constructor More...
| ~FrameText () final
| destructor More...
Type | getType () const final
| return the frame type More...
void | print (std::ostream &o) const final
| print funtion More...
MWAWGraphicStyle | getStyle (MWAWGraphicStyle const &zoneStyle) const
| return the text style More...
bool | hasTransform () const
| return true if the has some transforms. More...
Public Member Functions inherited from GreatWksGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...

## Public Attributes
MWAWEntry | m_entry
| the text entry More...
bool | m_flip [2]
| two bool to know if we must flip x or y More...
int | m_rotate
| the rotate angle More...
Public Attributes inherited from GreatWksGraphInternal::Frame
int | m_type
| the zone type More...
int | m_styleId
| the style identifier More...
int | m_parent
| the parent identifier More...
int | m_order
| the z order More...
long | m_dataSize
| the data size ( if know) More...
MWAWBox2f | m_box
| the zone bdbox More...
int | m_page
| the page More...
std::string | m_extra
| extra data More...
bool | m_parsed
| true if the frame is send More...

## Additional Inherited Members
Public Types inherited from GreatWksGraphInternal::Frame
enum | Type { T_BAD, T_BASIC, T_GROUP, T_PICTURE, T_TEXT, T_DBFIELD, T_UNSET }
| the frame type More...

## Detailed Description

Internal: the text zone of a GreatWksGraph.

## Constructor & Destructor Documentation

## ◆ FrameText()

GreatWksGraphInternal::FrameText::FrameText | ( | Frame const & | frame | ) |
| inline explicit

constructor

## ◆ ~FrameText()

GreatWksGraphInternal::FrameText::~FrameText | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getStyle()

MWAWGraphicStyle GreatWksGraphInternal::FrameText::getStyle | ( | MWAWGraphicStyle const & | zoneStyle | ) | const
| inline

return the text style

Referenced by GreatWksGraph::sendTextboxAsGraphic().

## ◆ getType()

Type GreatWksGraphInternal::FrameText::getType | ( |  | ) | const
| inline final virtual

return the frame type

Reimplemented from GreatWksGraphInternal::Frame.

## ◆ hasTransform()

bool GreatWksGraphInternal::FrameText::hasTransform | ( |  | ) | const
| inline

return true if the has some transforms.

Note
  as we have no way to retrieve mirror, we consider only rotation here

Referenced by GreatWksGraph::sendTextbox().

## ◆ print()

void GreatWksGraphInternal::FrameText::print | ( | std::ostream & | o | ) | const
| inline final virtual

print funtion

Reimplemented from GreatWksGraphInternal::Frame.

## Member Data Documentation

## ◆ m_entry

MWAWEntry GreatWksGraphInternal::FrameText::m_entry

the text entry

Referenced by GreatWksGraph::sendTextbox(), and GreatWksGraph::sendTextboxAsGraphic().

## ◆ m_flip

bool GreatWksGraphInternal::FrameText::m_flip[2]

two bool to know if we must flip x or y

## ◆ m_rotate

int GreatWksGraphInternal::FrameText::m_rotate

the rotate angle

Referenced by GreatWksGraph::sendTextboxAsGraphic().

The documentation for this struct was generated from the following file:

- GreatWksGraph.cxx